Index: src/unittests/ListOfBondsUnitTest.cpp
===================================================================
--- src/unittests/ListOfBondsUnitTest.cpp	(revision 6bb6057aa21db4fa1c6005eaa7f932cd8e2c9875)
+++ src/unittests/ListOfBondsUnitTest.cpp	(revision 9d83b69ef70cf27f82b8fcaaf764866bcda9a143)
@@ -126,7 +126,10 @@
 
   // check that bond is present in both atoms
-  bond *TestBond1 = *(atom1->ListOfBonds.begin());
+  BondList::const_iterator bonditer;
+  bonditer = atom1->getListOfBonds().begin();
+  bond *TestBond1 = *bonditer;
   CPPUNIT_ASSERT_EQUAL( TestBond1, Binder );
-  bond *TestBond2 = *(atom2->ListOfBonds.begin());
+  bonditer = atom2->getListOfBonds().begin();
+  bond *TestBond2 = *bonditer;
   CPPUNIT_ASSERT_EQUAL( TestBond2, Binder );
 };
@@ -153,6 +156,12 @@
 
   // check if removed from atoms
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom1->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom2->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom2->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
 
   // check if removed from molecule
@@ -185,7 +194,16 @@
 
   // check that all are present
-  CPPUNIT_ASSERT_EQUAL( (size_t) 2, atom1->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 2, atom2->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 2, atom3->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 2, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom2->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 2, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom3->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 2, ListOfBonds.size() );
+  }
 
   // remove bond
@@ -193,7 +211,16 @@
 
   // check if removed from atoms
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom1->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 1, atom2->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 1, atom3->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom2->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 1, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom3->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 1, ListOfBonds.size() );
+  }
 
   // check if removed from molecule
@@ -223,6 +250,12 @@
 
   // check if removed from atoms
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom1->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom2->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom2->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
 
   // check if removed from molecule
@@ -251,5 +284,8 @@
 
   // check bond if removed from other atom
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom1->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
 
   // check if removed from molecule
@@ -278,6 +314,12 @@
   CPPUNIT_ASSERT( Binder != NULL );
 
-  CPPUNIT_ASSERT_EQUAL( (size_t) 1, atom1->ListOfBonds.size() );
-  CPPUNIT_ASSERT_EQUAL( (size_t) 1, atom2->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 1, ListOfBonds.size() );
+  }
+  {
+    const BondList& ListOfBonds = atom2->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 1, ListOfBonds.size() );
+  }
 
   CPPUNIT_ASSERT_EQUAL( true, TestMolecule->hasBondStructure() );
@@ -287,5 +329,8 @@
 
   // check bond if removed from other atom
-  CPPUNIT_ASSERT_EQUAL( (size_t) 0, atom1->ListOfBonds.size() );
+  {
+    const BondList& ListOfBonds = atom1->getListOfBonds();
+    CPPUNIT_ASSERT_EQUAL( (size_t) 0, ListOfBonds.size() );
+  }
 
   // check if removed from molecule
